import React, { useEffect } from 'react'
import {Col, Row } from 'react-bootstrap'
import $ from 'jquery'
import { inteligencia, comportamiento, personalidad } from '../Components/TipoTest'


function CardPrueba(props){
    return(
        <Col key={props.id} md="4">
            <div className="body_prueba">
                <div className="modern-Checkbox">
                    <input type="checkbox"  name={`box-${props.id}` } id={`box-${props.id}` } />
                    <label htmlFor={`box-${props.id}`}>{ props.name }</label>
                </div>
            </div>
        </Col>
    )
}

export function PruebaAsignar() {

    function ShowComportamiento() {
        $("#comportamiento_body").css('display', 'block');
        $("#personalidad_body").css('display', 'none');
        $("#inteligencia_body").css('display', 'none');
        $("#personalidad").removeClass("active");
        $("#inteligencia").removeClass("active");
        $("#comportamiento").addClass("active");
    };

    function ShowPersonalidad() {
        $("#comportamiento_body").css('display', 'none');
        $("#personalidad_body").css('display', 'block');
        $("#inteligencia_body").css('display', 'none');
        $("#comportamiento").removeClass("active");
        $("#inteligencia").removeClass("active");
        $("#personalidad").addClass("active");
    };

    function ShowInteligencia() {
        $("#comportamiento_body").css('display', 'none');
        $("#personalidad_body").css('display', 'none');
        $("#inteligencia_body").css('display', 'block');
        $("#comportamiento").removeClass("active");
        $("#personalidad").removeClass("active");
        $("#inteligencia").addClass("active");
    };


    useEffect(() => {

        $(".list-unstyled").find('li').removeClass("active");
        $("#pruebas").addClass("active");
        $("#aplicar").addClass("active");

        ShowInteligencia();

    },[])


    return(
        <section>
            <div className="content-section">
                <div className="main">
                    <h1>Asignación de pruebas</h1>
                    <p>Selecciona el código del candidato y posteriormente las pruebas que deberá ejecutar.</p>
                    <div className="asignar_usuario">
                        <div className="row">
                            <div className="col-md-3">
                                <div className="datos_candidato">
                                    <label>Seleccionar código</label>
                                    <select>
                                        <option>001</option>
                                        <option>002</option>
                                        <option>003</option>
                                        <option>004</option>
                                        <option>005</option>
                                        <option>006</option>
                                        <option>007</option>
                                        <option>008</option>
                                    </select>
                                </div>
                            </div>
                            <div className="col-md-3">
                                <div className="datos_candidato">
                                    <label>Nombre</label>
                                    <input type="text" name="nombre" placeholder="Nombre candidato" readOnly/>
                                </div>
                            </div>
                            <div className="col-md-3">
                                <div className="datos_candidato">
                                    <label>Edad</label>
                                    <input type="number" name="text" placeholder="28" readOnly/>
                                </div>
                            </div>
                            <div className="col-md-3">
                                <div className="datos_candidato">
                                    <label>Género</label>
                                    <input type="text" name="genero" placeholder="Hombre" readOnly/>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div className="tabs_pruebas">
                        <Row className="row">
                            <Col md="4">
                                <div className="test_tab active" id="comportamiento" onClick={ShowComportamiento}>
                                    <p>COMPORTAMIENTO</p>
                                </div>
                            </Col>
                            <Col md="4">
                                <div className="test_tab" id="personalidad" onClick={ShowPersonalidad}>
                                    <p>PERSONALIDAD</p>
                                </div>
                            </Col>
                            <Col md="4">
                                <div className="test_tab" id="inteligencia" onClick={ShowInteligencia}>
                                    <p>INTELIGENCIA</p>
                                </div>
                            </Col>
                        </Row>
                    </div>
                    <div className="pruebas_grid">

                        <div className="comportamiento_body" id="comportamiento_body">
                            <Row>
                                {
                                    comportamiento.map( (test, index) => {
                                        return (
                                            <CardPrueba name={test} id={index}/>
                                        )
                                    })
                                }
                            </Row>
                        </div>



                        <div className="personalidad_body" id="personalidad_body">
                            <Row>
                                {
                                    personalidad.map( (test, index) => {
                                        return (
                                            <CardPrueba name={test} id={index}/>
                                        )
                                    })
                                }
                            </Row>
                        </div>



                        <div className="inteligencia_body" id="inteligencia_body">
                            <Row>
                                {
                                    inteligencia.map( (test, index) => {
                                        return (
                                            <CardPrueba name={test} id={index}/>
                                        )
                                    })
                                }
                            </Row>
                        </div>


                        <div className="botones_interactivos_asignar">
                            <div className="row">
                                <div className="col-md-12">
                                    <a href="/" data-toggle="modal" data-target="#ayudaAsignar">Ayuda</a>
                                    <button>Asignar</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    )
}
